bind_textdomain_codeset
dcgettext
Gettext Functions
PHP Manual

# bindtextdomain

Sets the path for a domain

### Description

string bindtextdomain ( string `$domain` , string `$directory` )

The bindtextdomain function sets the path for a domain.

### Parameters

`domain`

  The domain

`directory`

  The directory path

### Return Values

The full pathname for the `domain` currently being set.

### Examples

Example #1 bindtextdomain example

`<?php
$domain = 'myapp';
echo bindtextdomain($domain, '/usr/share/myapp/locale');
?>`

The above example will output:

    /usr/share/myapp/locale